{% load static %}

<!DOCTYPE html>
<html lang="en">
<head>
<title>List Elements</title>
<meta http-equiv="Content-Type" content="utf-8">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" type="text/css" href="{% static '/css/bootstrap.min.css' %}">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">


    <!-- jQuery  -->
    <script src="{% static '/js/jquery-3.4.1.min.js' %}"></script>

    <!--  jQuery plugin tablesorter -->
    <script src="{% static '/js/jquery.tablesorter.js' %}"></script>
    <script src="{% static '/js/jquery.tablesorter.widgets.js' %}"></script>

    <link rel="stylesheet" type="text/css" href="{% static '/css/jquery.tablesorter.pager.css' %}">
    <script src="{% static '/js/jquery.tablesorter.pager.js' %}"></script>

    <!-- Js part  -->
    <script src="{% static '/js/script.js' %}" ></script>

</head>

<!-- fill all the body into grey color (#fefefe) more lighter than the other page because it's prettier  -->
<body style="background-color:  #fefefe" >
  <!-- Create a bootstrap header  -->
    <nav class="navbar navbar-default navbar-fixed-top">
        <div class="container">
        <a href="/home"> <font color="#8b0000">HOME</font>
        <a href="/explore"> <font color="#8b0000">Explore page</font> </a>

          {% if user.is_authenticated %} 
                <!-- User is loged  -->     
                <p align=right>
                <font color="#8b0000">Welcome</font>   {{ user.get_username }}
                <a href="/home/logout/"><font color="#8b0000">LOGOUT</font> </a>
                </p>
           {% else %}
                <!-- Visitor, user is not loged  -->
                <p align=right>
                <font color="#8b0000">Welcome   new user. </font>  
                <a href="/login/"><font color="#8b0000">LOGIN</font> </a>
                <a href="/register/"><font color="#8b0000">REGISTER</font></a>
                </p>            
          {% endif %}

        </div>
    </nav>
     
  <hr>  


<!-- Link to search page  -->
<p align=right>   <a href="/formsearch/"><button type="button" class="btn btn-primary btn-lg">Search page</button></a> </p>

<center>
  Cliquer sur tete de colonnes disponible pour trier 
  <br><br>

  <!-- Table to show metadata and pictures  -->
    <table class="table table-bordered table-striped tablesorter">
      <thead class="thead-dark">
        <tr style="border: 1px solid black">
          <!-- sorter-false filter-false will give use a field the search into the table given by bootstrap  -->
            <th class="sorter-false filter-false" >
                Image
            </th>
            <th>Microscopy</th>
            <th class="sorter-false filter-false" >Description</th>
            <th>Celltype</th>
            <th>Component</th>
            <th>Organism</th>
            <th class="sorter-false filter-false">DOI</th>
        </tr>
      </thead>

      <tfoot>
        <!-- Title -->
        <tr>
          <th>Image</th>
          <th>Microscopy</th>
          <th>Description</th>
          <th>Celltype</th>
          <th>Component</th>
          <th>Organism</th>
          <th>DOI</th>
        </tr>
      </tfoot>


    <tbody>

      <!-- loops into imagetable table to show each informations   -->
      {% for image in images %}
          <tr>
          <td>  <img src="{% static  image.image  %}" alt="{{ image.image }}"  width="250" height="250"> </td>
          <td>  {{ image.mode }} </td>
          <td>  {{ image.description }} </td>
          <td>  {{ image.celltype }} </td>
          <td>  {{ image.component }} </td>
          <td>  {{ image.organism }} </td>
          <td>  {{ image.doi }} </td>
          </tr>

      {% endfor %}

    </tbody>
</table>


</center>
</body>
</html>